#pragma once
#include "GestionMobs.h"
#include "GestionPlayer.h"
#include "GestionTerrain.h"
#include "Mobs.h"
#include <vector>

class GestionCollision
{
public :
	GestionTerrain gTerrain;
	GestionMobs gMobs;
	GestionPlayer gPlayer;

public:
	std::vector<Mobs> CheckCollisonSol();
	std::vector<Mobs> CheckCollisonMur();
	std::vector<Mobs> CheckCollisonToit();
};

